Bug 500707 - drupal-README.fedora should give hints about where to install modules
drupal-README.fedora should give hints about where to install modules
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: drupal (Show other bugs)
10
All Linux
low Severity high
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
:
Depends On: 500833
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-13 14:56 EDT by Avi Alkalay
Modified: 2009-07-03 15:54 EDT (History)
1 user (show)

See Also:
Fixed In Version: 6.13-1.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-03 15:37:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Avi Alkalay 2009-05-13 14:56:28 EDT
Description of problem:
Can't figure out where to install drupal modules since directory structures are different from Drupal's regular installation (tar.gz).

The README file says about paying attention about the new directory layouts but have no word about explaining it. The README file should be more clear and tell where to put global and site-wide modules, global and site-wide themes, global and site-wide files.

Additionally and preferably, it should mention how and where to create additional sites and describe ways of integration with Apache's configurations and virtual hosts.

Version-Release number of selected component (if applicable):
6.11

How reproducible:
Install Drupal RPM and try to figure out where to manually install additional modules.
  
Actual results:
Can't find a clue about how to extend Drupal.

Expected results:
README should be clear where and how to correctly extend Drupal with modules and themes.
Comment 1 Avi Alkalay 2009-05-13 14:59:19 EDT
The README should also include hints on how to enable Clear URLs since Drupal.org regular documentation won't work on Fedora's Apache installation.
Comment 2 Gwyn Ciesla 2009-05-14 07:59:25 EDT
Have you discovered how to enable Clear URLs that does wok with Fedora' Apache?  If so, can you outline how this differs from the upstream method?
Comment 3 Avi Alkalay 2009-05-14 08:03:12 EDT
No, I haven't discovered.

Drupal keeps saying explicitly that it can't enable Clear URLs because the underlying web server won't support it.

But I still want to discover how and where to put site-specific modules that I manually install (no RPM).
Comment 4 Avi Alkalay 2009-05-14 08:04:34 EDT
BTW, today Drupal announced a new 6.12 version with an important security fix.
Comment 5 Gwyn Ciesla 2009-05-14 08:37:27 EDT
Already working on 6.12.

I'll add something to the readme, but since I don't have it written yet, I'll push another update once it's ready.
Comment 6 Avi Alkalay 2009-05-27 13:40:35 EDT
I found why Clear URLs won't work in current packaging of Drupal for Fedora.

The answer (but no supernice solution) is here: https://bugzilla.redhat.com/show_bug.cgi?id=500833
Comment 7 Fedora Update System 2009-07-03 15:37:24 EDT
drupal-6.13-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2009-07-03 15:45:20 EDT
drupal-6.13-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2009-07-03 15:54:16 EDT
drupal-6.13-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.